/* =============x-loading================== */
.loading-enter-active {
    animation: loading-in 0.5s;
}
.loading-leave-active {
    animation: loading-in 0.5s reverse;
}
@keyframes loading-in {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.spinner {
    position: absolute;
    top: 0px;
    left: 0px;
    bottom: 0px;
    right: 0px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.spinner > .ani {
    display: flex;
}

.spinner > .ani > div {
    width: 30px;
    height: 30px;
    background-color: #42dbff;

    border-radius: 50%;

    animation: loadingdelay 2s infinite ease-in-out;
    /* Prevent first frame from flickering when animation starts */
    animation-fill-mode: both;
}

.spinner > .ani > .bounce1 {
    animation-delay: -0.7s;
}

.spinner > .ani > .bounce2 {
    animation-delay: -0.35s;
}

@keyframes loadingdelay {
    0%,
    80%,
    100% {
        transform: scale(0);
    }

    40% {
        transform: scale(1);
    }
}

/* =====================x-tip========================= */

.bounce-enter-active {
    animation: bounce-in 0.5s;
}
.bounce-leave-active {
    animation: bounce-in 0.5s reverse;
}
@keyframes bounce-in {
    0% {
        transform: scale(0);
        top: 0px;
        opacity: 0;
    }

    10% {
        transform: scale(0.8);
        opacity: 0.3;
    }

    100% {
        transform: scale(1);
        top: 30px;
        opacity: 1;
    }
}

/* ===================================pagination============================================= */
.st-pagination {
    font-size: 16px;
    color: #0a0724;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.st-pagination > .common {
    font-weight: bold;
    line-height: 30px;
    margin-left: 20px;
    cursor: pointer;
    display: inline-block;
}

.st-pagination > .num {
    width: 30px;
    height: 30px;
    background-color: #f2f2f2;

    border-radius: 4px;
}

.st-pagination > .chars {
    border-radius: 4px;
}
.st-pagination > .chars.enable:hover {
    color: #c51e3a;
}
.st-pagination > .num:hover {
    color: #ffffff;
    background-color: #c51e3a;
}

.st-pagination > .num.active {
    color: #ffffff;
    background-color: #c51e3a;
}

.st-pagination > .chars.disable {
    color: #aaaaaa;
    font-weight: normal;
    cursor: no-drop;
}

.p-1{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.p-1 > div {
    width: 50%;
    padding: 0 10px;
}

/* .form-label{
    background-color: gainsboro;
} */